# frozen_string_literal: true

require_relative 'lib/funkce/version'

Gem::Specification.new do |spec|
  spec.name          = 'funkce'
  spec.version       = Funkce::VERSION
  spec.authors       = ['Yuri Tománek']
  spec.email         = ['yuri@tomanek.co.uk']

  spec.summary       = 'A simple tool to help manage your Ruby Google Funtions.'
  spec.description   = 'A simple tool to help manage your Ruby Google Funtions.'
  spec.homepage      = 'https://github.com/ahojuptime/funkce'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/ahojuptime/funkce'
  spec.metadata['changelog_uri'] = 'https://github.com/ahojuptime/funkce/blob/main/CHANGELOG.md'

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'thor', '~> 1.1'

  spec.add_development_dependency 'activesupport', '~> 6.1'
  spec.add_development_dependency 'aruba', '~> 1.1'
  spec.add_development_dependency 'cucumber', '~> 6.1'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.2'
  spec.add_development_dependency 'rubocop', '~> 1.7'
  spec.add_development_dependency 'rubocop-rake', '~> 0.5.1'
  spec.add_development_dependency 'rubocop-rspec', '~> 2.4'
end
